Subject: Re: [PATCH net-next] dt-bindings: net: convert sff,sfp to dtschema

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 30 Mar 2022 17:35:58 +0100

On Wed, Mar 30, 2022 at 11:09:42AM -0500, Rob Herring wrote:
> On Wed, Mar 30, 2022 at 10:52 AM Russell King (Oracle)
> <[email-masked]> wrote:
> >
> > On Wed, Mar 16, 2022 at 10:18:55AM +0000, Ioana Ciornei wrote:
> > > On Wed, Mar 16, 2022 at 09:23:45AM +0100, Krzysztof Kozlowski wrote:
> > > > On 15/03/2022 20:07, Ioana Ciornei wrote:
> > > > > On Tue, Mar 15, 2022 at 07:21:59PM +0100, Krzysztof Kozlowski wrote:
> > > > >> On 15/03/2022 13:33, Ioana Ciornei wrote:
> > > > >>> Convert the sff,sfp.txt bindings to the DT schema format.
> > > > >>>
> > > > >>> Signed-off-by: Ioana Ciornei <[email-masked]>
> > > > >>> ---
> > > > >
> > > > > (..)
> > > > >
> > > > >>> +maintainers:
> > > > >>> +  - Russell King <[email-masked]>
> > > > >>> +
> > > > >>> +properties:
> > > > >>> +  compatible:
> > > > >>> +    enum:
> > > > >>> +      - sff,sfp  # for SFP modules
> > > > >>> +      - sff,sff  # for soldered down SFF modules
> > > > >>> +
> > > > >>> +  i2c-bus:
> > > > >>
> > > > >> Thanks for the conversion.
> > > > >>
> > > > >> You need here a type because this does not look like standard property.
> > > > >
> > > > > Ok.
> > > > >
> > > > >>
> > > > >>> +    description:
> > > > >>> +      phandle of an I2C bus controller for the SFP two wire serial
> > > > >>> +
> > > > >>> +  maximum-power-milliwatt:
> > > > >>> +    maxItems: 1
> > > > >>> +    description:
> > > > >>> +      Maximum module power consumption Specifies the maximum power consumption
> > > > >>> +      allowable by a module in the slot, in milli-Watts. Presently, modules can
> > > > >>> +      be up to 1W, 1.5W or 2W.
> > > > >>> +
> > > > >>> +patternProperties:
> > > > >>> +  "mod-def0-gpio(s)?":
> > > > >>
> > > > >> This should be just "mod-def0-gpios", no need for pattern. The same in
> > > > >> all other places.
> > > > >>
> > > > >
> > > > > The GPIO subsystem accepts both suffixes: "gpio" and "gpios", see
> > > > > gpio_suffixes[]. If I just use "mod-def0-gpios" multiple DT files will
> > > > > fail the check because they are using the "gpio" suffix.
> > > > >
> > > > > Why isn't this pattern acceptable?
> > > >
> > > > Because original bindings required gpios, so DTS are wrong, and the
> > > > pattern makes it difficult to grep and read such simple property.
> > > >
> > > > The DTSes which do not follow bindings should be corrected.
> > > >
> > >
> > > Russell, do you have any thoughts on this?
> > > I am asking this because you were the one that added the "-gpios" suffix
> > > in the dtbinding and the "-gpio" usage in the DT files so I wouldn't
> > > want this to diverge from your thinking.
> > >
> > > Do you have a preference?
> >
> > SFP support predated (in my tree) the deprecation of the -gpio suffix,
> > and despite the SFP binding doc being sent for review, it didn't get
> > reviewed so the issue was never picked up.
> 
> Really?
> 
> https://lore.kernel.org/all/CAL_JsqL_7gG8FSEJDXu=[email-masked]/

Yes. I said "in my tree" not "in Linus' tree". It dates from shortly
after the first SolidRun Clearfog arrived here, first set of patches
were based on v4.3-rc2.

Remember, when development eventually gets submitted as patches, even
if there are no changes, if the patches are then applied, they get the
date of the _email_ not of their creation, and there can be several
years between creation and submission.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!